<?php
/**
 * Omnisend Tracker Class
 *
 * @package OmnisendPlugin
 */

defined( 'ABSPATH' ) || exit;

class Omnisend_Tracker {

	public static function track_plugin_event( $event = '', $props = array() ) {
		if ( $event == '' ) {
			return;
		}

		$headers = array( 'KEY' => OMNISEND_TRACKING_KEY );

		$props['email']         = get_option( 'admin_email' );
		$props['website']       = home_url();
		$props['pluginVersion'] = Omnisend_Helper::omnisend_plugin_version();

		$body = array(
			'event'      => $event,
			'properties' => $props,
		);

		self::track( $headers, OMNISEND_TRACKING_URL, json_encode( $body, JSON_UNESCAPED_SLASHES ) );
	}

	private static function track( $headers = array(), $url = '', $body = '' ) {
		$response = wp_remote_post(
			$url,
			array(
				'blocking' => false,
				'headers'  => $headers,
				'body'     => $body,
			)
		);

		if ( is_wp_error( $response ) ) {
			Omnisend_Logger::debug( $response->get_error_message() );
		}
	}
}
